curl --request PUT \
--url https://services.leadconnectorhq.com/opportunities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"pipelineId": "bCkKGpDsyPP4peuKowkG",
"name": "First Opps",
"pipelineStageId": "7915dedc-8f18-44d5-8bc3-77c04e994a10",
"status": "open",
"monetaryValue": 220,
"assignedTo": "082goXVW3lIExEQPOnd3",
"customFields": [
{
"id": "6dvNaf7VhkQ9snc5vnjJ",
"key": "my_custom_field",
"field_value": "9039160788"
}
]
}
'{
"opportunity": {
"id": "yWQobCRIhRguQtD2llvk",
"name": "testing",
"monetaryValue": 500,
"pipelineId": "VDm7RPYC2GLUvdpKmBfC",
"pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
"assignedTo": "zT46WSCPbudrq4zhWMk6",
"status": "open",
"source": "",
"lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
"lastStageChangeAt": "2021-08-03T04:55:17.355Z",
"lastActionDate": "2021-08-03T04:55:17.355Z",
"indexVersion": 1,
"createdAt": "2021-08-03T04:55:17.355Z",
"updatedAt": "2021-08-03T04:55:17.355Z",
"contactId": "zT46WSCPbudrq4zhWMk6",
"locationId": "zT46WSCPbudrq4zhW",
"contact": {
"id": "byMEV0NQinDhq8ZfiOi2",
"name": "John Deo",
"companyName": "Tesla Inc",
"email": "john@deo.com",
"phone": "+1202-555-0107",
"tags": [
"<string>"
]
},
"notes": [
"<array>"
],
"tasks": [
"<array>"
],
"calendarEvents": [
"<array>"
],
"lostReasonId": "zT46WSCPbudrq4zhWMk6",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"fieldValue": "<string>"
}
],
"followers": [
"<array>"
]
}
}Update Opportunity
curl --request PUT \
--url https://services.leadconnectorhq.com/opportunities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"pipelineId": "bCkKGpDsyPP4peuKowkG",
"name": "First Opps",
"pipelineStageId": "7915dedc-8f18-44d5-8bc3-77c04e994a10",
"status": "open",
"monetaryValue": 220,
"assignedTo": "082goXVW3lIExEQPOnd3",
"customFields": [
{
"id": "6dvNaf7VhkQ9snc5vnjJ",
"key": "my_custom_field",
"field_value": "9039160788"
}
]
}
'{
"opportunity": {
"id": "yWQobCRIhRguQtD2llvk",
"name": "testing",
"monetaryValue": 500,
"pipelineId": "VDm7RPYC2GLUvdpKmBfC",
"pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
"assignedTo": "zT46WSCPbudrq4zhWMk6",
"status": "open",
"source": "",
"lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
"lastStageChangeAt": "2021-08-03T04:55:17.355Z",
"lastActionDate": "2021-08-03T04:55:17.355Z",
"indexVersion": 1,
"createdAt": "2021-08-03T04:55:17.355Z",
"updatedAt": "2021-08-03T04:55:17.355Z",
"contactId": "zT46WSCPbudrq4zhWMk6",
"locationId": "zT46WSCPbudrq4zhW",
"contact": {
"id": "byMEV0NQinDhq8ZfiOi2",
"name": "John Deo",
"companyName": "Tesla Inc",
"email": "john@deo.com",
"phone": "+1202-555-0107",
"tags": [
"<string>"
]
},
"notes": [
"<array>"
],
"tasks": [
"<array>"
],
"calendarEvents": [
"<array>"
],
"lostReasonId": "zT46WSCPbudrq4zhWMk6",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"fieldValue": "<string>"
}
],
"followers": [
"<array>"
]
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Opportunity Id
"yWQobCRIhRguQtD2llvk"
pipeline Id
"bCkKGpDsyPP4peuKowkG"
"First Opps"
"7915dedc-8f18-44d5-8bc3-77c04e994a10"
open, won, lost, abandoned, all 220
"082goXVW3lIExEQPOnd3"
Update custom fields to opportunities.
Show child attributes
Successful response
Show child attributes
Was this page helpful?